## Class TLiteralColumn

Description

TLiteralColumn class

TLiteralColumn represents a static text column that is bound to a field in a data source. The cells in the column will be displayed with static texts using the data indexed by DataField. You can customize the display by setting DataFormatString.

If DataField is not specified, the cells will be filled with Text.

If Encode is true, the static texts will be HTML-encoded.

- since: 3.0.5
- version: $Id: TLiteralColumn.php 1397 2006-09-07 07:55:53Z wei $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TLiteralColumn.php (line 36)

    TComponent
       |
       --TApplicationComponent
          |
          --TDataGridColumn
             |
             --TLiteralColumn

Method Summary
void dataBindColumn (mixed $sender, mixed $param)
string getDataField ()
string getDataFormatString ()
boolean getEncode ()
string getText ()
void initializeCell (TTableCell $cell, integer $columnIndex, string $itemType)
void setDataField (string $value)
void setDataFormatString (string $value)
void setEncode (boolean $value)
void setText (string $value)
Methods
dataBindColumn (line 137)

Databinds a cell in the column.

This method is invoked when datagrid performs databinding. It populates the content of the cell with the relevant data from data source.

- access: public

void dataBindColumn (mixed $sender, mixed $param)
getDataField (line 41)

- return: the field name from the data source to bind to the column
- access: public

string getDataField ()
getDataFormatString (line 57)

- return: the formatting string used to control how the bound data will be displayed.
- access: public

string getDataFormatString ()
getEncode (line 89)

- return: whether the rendered text should be HTML-encoded. Defaults to false.
- access: public

boolean getEncode ()
getText (line 73)

- return: static text to be displayed in the column. Defaults to empty.
- access: public

string getText ()
initializeCell (line 109)

Initializes the specified cell to its initial values.

This method overrides the parent implementation.

- access: public

void initializeCell (TTableCell $cell, integer $columnIndex, string $itemType)

- TTableCell $cell: the cell to be initialized.
- integer $columnIndex: the index to the Columns property that the cell resides in.
- string $itemType: the type of cell (Header,Footer,Item,AlternatingItem,EditItem,SelectedItem)

Redefinition of:

TDataGridColumn::initializeCell()
  Initializes the specified cell to its initial values.

setDataField (line 49)

- access: public

void setDataField (string $value)

- string $value: the field name from the data source to bind to the column

setDataFormatString (line 65)

- access: public

void setDataFormatString (string $value)

- string $value: the formatting string used to control how the bound data will be displayed.

setEncode (line 97)

- access: public

void setEncode (boolean $value)

- boolean $value: whether the rendered text should be HTML-encoded.

setText (line 81)

- access: public

void setText (string $value)

- string $value: static text to be displayed in the column.

#### Inherited Methods

Inherited From TDataGridColumn

> TDataGridColumn::formatDataValue()
> TDataGridColumn::getAllowSorting()
> TDataGridColumn::getDataFieldValue()
> TDataGridColumn::getEnableCellGrouping()
> TDataGridColumn::getFooterRenderer()
> TDataGridColumn::getFooterStyle()
> TDataGridColumn::getFooterText()
> TDataGridColumn::getHeaderImageUrl()
> TDataGridColumn::getHeaderRenderer()
> TDataGridColumn::getHeaderStyle()
> TDataGridColumn::getHeaderText()
> TDataGridColumn::getID()
> TDataGridColumn::getItemStyle()
> TDataGridColumn::getOwner()
> TDataGridColumn::getSortExpression()
> TDataGridColumn::getViewState()
> TDataGridColumn::getVisible()
> TDataGridColumn::initialize()
> TDataGridColumn::initializeCell()
> TDataGridColumn::initializeFooterCell()
> TDataGridColumn::initializeHeaderCell()
> TDataGridColumn::loadState()
> TDataGridColumn::saveState()
> TDataGridColumn::setEnableCellGrouping()
> TDataGridColumn::setFooterRenderer()
> TDataGridColumn::setFooterText()
> TDataGridColumn::setHeaderImageUrl()
> TDataGridColumn::setHeaderRenderer()
> TDataGridColumn::setHeaderText()
> TDataGridColumn::setID()
> TDataGridColumn::setOwner()
> TDataGridColumn::setSortExpression()
> TDataGridColumn::setViewState()
> TDataGridColumn::setVisible()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:31 -0400 by phpDocumentor 1.3.0RC4